### Function

# GLib List reverse

#### Declaration

    GList*
    g_list_reverse (
      GList* list
    )

#### Description

Reverses a `GList`. It simply switches the next and prev pointers of each element.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GList`, this must point to the top of the list.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The start of the reversed `GList`.

The data is owned by the called function.